## mycompiler.mybytecode
Class AttributeInfo

    java.lang.Object
      mycompiler.mybytecode.Attribute
          mycompiler.mybytecode.AttributeInfo

    public class AttributeInfo

extends Attribute

Constructor Summary
`AttributeInfo()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`int` `get_attributes_length()`
`de.dhbwstuttgart.typeinference.Menge` `get_info_Menge()`
`byte[]` `get_info()`
`void` `set_info(byte[] t)`
`void` `set_info(de.dhbwstuttgart.typeinference.Menge t)`

Methods inherited from class mycompiler.mybytecode.Attribute
`get_attribute_name_index, set_attribute_name_index`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeInfo

    public AttributeInfo()

Method Detail

### get_info

    public byte[] get_info()

### get_info_Menge

    public de.dhbwstuttgart.typeinference.Menge get_info_Menge()

### get_attributes_length

    public int get_attributes_length()

  Specified by:
    `get_attributes_length` in class `Attribute`

### set_info

    public void set_info(byte[] t)

### set_info

    public void set_info(de.dhbwstuttgart.typeinference.Menge t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Attribute`
  Throws:
    `JVMCodeException`